Deployments.ai Docs
Agent Email

Show agent email usage

GET /v1/agent-email/usage · SDK getAgentEmailUsage · CLI deployments email-usage show

GET
/v1/agent-email/usage

Requires agent-email:read.

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Query Parameters

from?string
Formatdate-time
inboxId?string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
to?string
Formatdate-time

Header Parameters

x-deployments-environment*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Response Body

AgentEmailUsageSummaryResponse

application/json
  1. response
attachmentBytes*integer
Range0 <= value <= 9007199254740991
from*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
inboundMessages*integer
Range0 <= value <= 9007199254740991
organizationId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
outboundMessages*integer
Range0 <= value <= 9007199254740991
storedBytes*integer
Range0 <= value <= 9007199254740991
to*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
curl -X GET "https://example.com/v1/agent-email/usage" \  -H "x-deployments-environment: string"
{  "attachmentBytes": 0,  "from": "2019-08-24T14:15:22Z",  "inboundMessages": 0,  "organizationId": "string",  "outboundMessages": 0,  "storedBytes": 0,  "to": "2019-08-24T14:15:22Z"}